<template>
  <v-card class="ma-2" v-if="address">
    <v-card-text>
      <h3>Address {{name}}</h3>
      <br/> Road : {{ address.road }}
      <br/> Zip Code : {{ address.zipCode }}
      <br/> City : {{ address.city }}
      <br/>
      <span v-if="address.complement">
        Complement: {{ address.complement }}
        <br/>
      </span>
      <span v-if="address.country">
        Country: {{ address.country }}<br/>
      </span>
      <span v-if="address.state">
        State: {{ address.state }}<br/>
      </span>
      <v-btn color="primary" @click="$emit('edit')">
        <v-icon>edit</v-icon>&nbsp;
        Update
      </v-btn>
      <v-btn color="primary" @click="$emit('search')">
        <v-icon>search</v-icon>&nbsp;
        Search
      </v-btn>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  props: {
    address: {
      type: Object,
      default: null
    },
    name: {
      type: String,
      default: 'unknown'
    }
  }
}

</script>
